Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003520 [JEDI VCL] 00 JVCL Components minor always 2006-02-19 10:46 2006-04-14 07:45
Reporter ultimo View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003520: Fixed - CellHint for boolean Field display True or False if column width < 25
Description ShowCellHint if field is Boolean and cell width is < 25, display hint with True or False (field value)

On procedure

procedure TJvDBGrid.CMHintShow(var Msg: TMessage);
[..]

Prior
  if not (Field is TBlobField) then
    HintStr := Field.DisplayText
  else
    HintStr := '';

After
  if not (Field is TBlobField) and not (Field is TBooleanField) then
    HintStr := Field.DisplayText
  else
    HintStr := '';



Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008981)
obones (administrator)
2006-04-05 06:48

So what is your intent here? You don't want a hint for a boolean value?
(0009016)
ultimo (reporter)
2006-04-07 06:39

Yes, if you set ShowCellHint, I notice hint value of "True" OR "False", on boolean field if cell width is < 25
(0009114)
obones (administrator)
2006-04-14 06:55

Reminder sent to: Informatix

Fred, what is your opinion on this issue?
(0009115)
Informatix (developer)
2006-04-14 07:20

It has been fixed a few weeks ago (20/02/06) in version 1.121.

Fred
(0009117)
obones (administrator)
2006-04-14 07:45

Perfect. Thanks for letting me know.

- Issue History
Date Modified Username Field Change
2006-02-19 10:46 ultimo New Issue
2006-04-05 06:48 obones Note Added: 0008981
2006-04-05 06:48 obones Status new => feedback
2006-04-07 06:39 ultimo Note Added: 0009016
2006-04-14 06:55 obones Issue Monitored: Informatix
2006-04-14 06:55 obones Note Added: 0009114
2006-04-14 07:20 Informatix Note Added: 0009115
2006-04-14 07:45 obones Status feedback => resolved
2006-04-14 07:45 obones Resolution open => fixed
2006-04-14 07:45 obones Assigned To => obones
2006-04-14 07:45 obones Note Added: 0009117


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker